@font-face {
    font-family: SFPro_Text_Light;
    src: url('../../fonts/SF Pro/SF-Pro-Text-Light.otf');
}

@font-face {
    font-family: SFPro_Text_Regular;
    src: url('../../fonts/SF Pro/SF-Pro-Text-Regular.otf');
}

@font-face {
    font-family: SFPro_Text_Medium;
    src: url('../../fonts/SF Pro/SF-Pro-Text-Medium.otf');
}

@font-face {
    font-family: SFPro_Text_Bold;
    src: url('../../fonts/SF Pro/SF-Pro-Text-Bold.otf');
}

:root {
    --light-grey: #d8d8d8;
    --font-grey: #424242;
    --layout-grey: #303030;
    --bg-grey: #e4e4e4;
}

* {
    font-family: SFPro_Text_Regular;
    color: var(--font-grey);
}

    *::selection {
        background: #88ca3c;
        color: #fff;
        text-shadow: initial;
        -webkit-font-smoothing: antialiased;
    }

body, 
div#app {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding-top: 2.9rem !important; /* Header height */
    min-height: calc(100vh - 2.9rem);
    font-size: 16px;
    font-weight: 300;
    background-color: var(--bg-grey);
}

div#app {
    padding-top: unset !important;
}

a {
    color: inherit;
    text-decoration: none;
}

.content {
    margin: 0 auto;
    margin-bottom: 1rem;
    /*width: 85%;*/
    width: 90%;
}

.hidden {
    display: none !important;
}

.fa, .fas {
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
}

.fa, .fab, .fad, .fal, .far, .fas {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
}

/*#region Header*/
#header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    height: 4.2rem;
    color: white;
    background-color: var(--layout-grey);
    border-radius: 0 0 0.7rem 0.7rem;
}

    #header.open {
        background-color: rgba(60, 60, 60, 0.9) !important;
        height: 100vh;
    }

        #header.open .menu {
            display: block;
            margin-top: 4rem;
            flex-grow: 1;
        }

            #header.open .menu a {
                display: block;
            }

        #header.open .content {
            justify-content: center !important;
        }

            #header.open .content .logo {
                align-self: baseline;
                margin-left: 0px;
                max-width: 7rem;
            }

    #header .content {
        display: flex;
        justify-content: space-between;
        width: 90%;
        height: 100%;
    }

        #header .content .logo {
            display: flex;
            font-size: initial;
            padding: 0;
            align-self: baseline !important;
        }

            #header .content .logo img {
                align-self: center;
                width: 2.4rem;
                margin-top: 3px;
            }

            #header .content .logo div {
                position: absolute;
                color: white;
            }

                #header .content .logo div:last-child {
                    margin: 2.6rem 0 0 2.95rem;
                    font-size: 0.6rem;
                }

                #header .content .logo div:nth-child(2) {
                    margin: 0 0 0 2.9rem;
                    font-size: 1.6rem;
                    top: 14px;
                }

@media (min-width: 1361px) {
    #header .content .logo img {
        margin-top: 0.9rem;
    }
}

@media (max-width: 1360px) {
    #header .menu {
        display: none;
        height: 35rem;
        overflow-y: auto;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

        #header .menu::-webkit-scrollbar {
            width: 0;
            height: 0;
            display: none;
        }

    #header .content .logo {
        flex-grow: 1;
        padding: 11px 0px !important;
    }

        #header .content .logo div:last-child {
            margin-top: 1.65rem !important;
            top: 15px;
        }

        #header .content .logo div:nth-child(2) {
            margin-top: 0 !important;
        }

    .menu > div > a {
        background: red !important;
        display: none !important;
    }

    .drop_menu a {
        width: 100%;
        border: none !important;
    }
}

.drop_menu {
    display: block;
    position: absolute;
    background-color: #303030;
    color: black;
}

    .drop_menu ul {
        margin: 0;
        padding: 0;
        font-size: 0.9rem;
    }

        .drop_menu ul li {
            display: flex;
            margin-left: 0;
        }

            .drop_menu ul li a {
                padding: 1rem;
                color: white;
                flex-grow: 1;
                border: 1px solid #303030;
            }

@media (max-width: 1360px) {
    #nav_drop_menu.drop_menu {
        display: block;
        position: initial;
        background-color: initial;
    }
}

.ham.white {
    /*background-image: url(../img/icons/hammenu_w.png);*/
}

.ham {
    display: flex;
    padding: 6.6px;
    width: 3.1rem;
    height: 3.1rem;
    /* background-image: url(../img/icons/hammenu.png); */
    /* background-size: 35% 45%; */
    /* background-position: 50% 50%; */
    /* background-repeat: no-repeat; */
    cursor: pointer;
    font-size: 2rem;
    justify-content: center;
}

    .ham > i {
        display: block;
        color: var(--bg-grey);
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
    }

#header .ham > i:last-child,
#header.open .ham > i:first-child {
    display: none;
}

#header .ham > i:first-child,
#header.open .ham > i:last-child {
    display: block;
}

@media (min-width: 1360px) {
    #header .ham {
        display: none !important;
    }
}

.menu {
    padding: 0;
    list-style: none;
    font-size: 0;
    display: flex;
    color: #fff;
}

    .menu a div,
    .menu li div {
        display: inline-block;
        color: white;
    }

    .menu a {
        line-height: 1.5rem;
        font-size: 0.9rem;
        padding: 1.5em 0.8rem;
        display: inline-block;
        margin-left: 1px;
        color: white;
        cursor: pointer;
    }

        .menu > a:hover::after,
        .menu > div:hover::after {
            display: block;
        }
        
        .menu > a::after,
        .menu > div::after {
            content: '';
            position: static;
            margin-top: 0.9rem;
            bottom: 0;
            left: 0;
            right: 0;
            background: #41a350;
            height: 7px;
            border-radius: 0.5rem 0.5rem 0 0;
        }

        .menu > div::after {
            margin-top: -0.45rem;
        }

        /* Language drop menu */
        #lang_drop_menu a::after {
            display: block;
            content: '';
            position: absolute;
            margin-top: 2.2rem;
            left: 5px;
            right: 5px;
            background: transparent;
            height: 5px;
            /* border-radius: 0.5rem 0.5rem 0 0; */
            border-radius: 0.5rem;
        }

        #lang_drop_menu a:hover::after {
            background: #41a350;
        }

    .menu .active > a {
        background-color: #41a350;
    }


a#select_lang {
    display: flex;
    width: 7.5rem;
}

.menu #select_lang img {
    height: 1.5rem;
}

#select_lang div {
    margin-left: 1rem;
    margin-right: 0.5rem;
}

#lang_drop_menu {
    display: block;
    cursor: pointer;
    position: absolute;
    background-color: var(--layout-grey);
    color: black;
    margin-top: 7px;
    /*width: 11rem;*/
}

    #lang_drop_menu ul {
        list-style: none;
        font-size: 0.9rem;
        padding: 0;
        margin: 0;
    }

        #lang_drop_menu ul li {
            display: flex;
        }

            #lang_drop_menu ul li a {
                display: flex;
                width: 7.5rem;
                padding: 1rem;
                flex-grow: 1;
                border: 1px solid #303030;
            }

                #lang_drop_menu ul li a img {
                    height: 1.5rem;
                }

                #lang_drop_menu ul li a div {
                    margin-left: 1rem;
                    margin-right: 0.5rem;
                    color: white;
                }

@media (max-width: 1360px) {
    #lang_drop_menu {
        display: block;
        cursor: pointer;
        position: absolute;
        color: black;
        /*margin: 0 !important;*/
        /*width: 38%;*/
        margin-left: -20px !important;
        margin-top: 20px !important;
    }

    #header.open .menu a {
        width: unset;
    }

    a#select_lang {
        height: 1.9rem;
        margin-top: 1em;
        /*margin-bottom: 0.8em;*/
        margin-right: 2em;
        width: unset;
    }

    #curr_lang {
        display: none;
    }
}

/*Page title*/
h1.pageTitle {
    display: flex;
    width: -webkit-fill-available;
    justify-content: space-between;
    gap: 20px 20px;
    flex-wrap: wrap;
}

.full-round-border {
    border-radius: 0.5rem 0.5rem 0.5rem 0.5rem;
}

.round-border-top {
    border-radius: 0.5rem 0.5rem 0rem 0rem;
}

.round-border-bottom {
    border-radius: 0rem 0rem 0.5rem 0.5rem;
}

/*#endregion Header*/
/*#region Swal*/
button.swal2-confirm, .swal2-confirm.button {
    background-color: #41a350 !important;
    border-color: #41a350 !important;
}

button.swal2-cancel,
.swal2-cancel.button {
    background-color: #cc4f49 !important;
    border-color: #cc4f49 !important;
}
/*#endregion Swal*/

/*#region Footer*/
#footer {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    color: #dadada;
    background-color: rgb(48, 48, 48);
}

    #footer li, #footer i, #footer span {
        color: #e8e8e8 !important;
    }

    #footer .content {
        display: flex;
        justify-content: space-between;
    }

        #footer .content .col .title {
            font-family: SFPro_Text_Regular !important;
            display: inline-block;
            border-bottom: 1px solid #5a5555;
            font-weight: 400;
            font-size: 0.9rem;
            padding: 0 0 0.5rem 0;
            color: #e8e8e8 !important;
        }

        #footer .content .col ul {
            margin: 0;
            padding: 0;
            list-style: none;
            color: #afafaf;
            font-size: 0.8rem;
            margin: 0.5rem 0 0 0;
            line-height: 1rem;
        }

        #footer .content li:first-child i {
            margin-left: 0.2rem;
        }

        #footer .content li i {
            padding: 0.25rem;
        }

    #footer .col ul li:nth-child(n+2) {
        margin-top: 0.3rem;
    }

    #footer .footline {
        display: flex;
        flex-direction: column;
        margin-top: 3rem;
    }

        #footer .footline span {
            text-align: center;
            font-size: 0.8rem;
            color: #ececec;
        }

    #footer::before {
        content: "";
        background-color: var(--bg-grey);
        flex-grow: 1;
    }

    #footer .in_f {
        padding: 2rem 0;
        max-width: 1200px;
        margin: auto;
    }

@media (max-width: 1200px) {
    @media (max-width: 700px) {
        #footer .in_f {
            padding: 2rem 0 2rem 0;
        }

        #footer .content {
            flex-direction: column;
        }

            #footer .content .col {
                width: initial;
            }

            #footer .content div:nth-child(n+2) {
                margin-top: 1rem;
            }
    }
}
/*#endregion*/
